Show / Hide Table of Contents

Class CfnFleetProps

Properties for defining a CfnFleet.

Inheritance
object
CfnFleetProps
Implements
ICfnFleetProps
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.Deadline
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnFleetProps : ICfnFleetProps
Syntax (vb)
Public Class CfnFleetProps Implements ICfnFleetProps
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Deadline;

             var cfnFleetProps = new CfnFleetProps {
                 Configuration = new FleetConfigurationProperty {
                     CustomerManaged = new CustomerManagedFleetConfigurationProperty {
                         Mode = "mode",
                         WorkerCapabilities = new CustomerManagedWorkerCapabilitiesProperty {
                             CpuArchitectureType = "cpuArchitectureType",
                             MemoryMiB = new MemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             OsFamily = "osFamily",
                             VCpuCount = new VCpuCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },

                             // the properties below are optional
                             AcceleratorCount = new AcceleratorCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             AcceleratorTotalMemoryMiB = new AcceleratorTotalMemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             AcceleratorTypes = new [] { "acceleratorTypes" },
                             CustomAmounts = new [] { new FleetAmountCapabilityProperty {
                                 Min = 123,
                                 Name = "name",

                                 // the properties below are optional
                                 Max = 123
                             } },
                             CustomAttributes = new [] { new FleetAttributeCapabilityProperty {
                                 Name = "name",
                                 Values = new [] { "values" }
                             } }
                         },

                         // the properties below are optional
                         AutoScalingConfiguration = new CustomerManagedAutoScalingConfigurationProperty {
                             ScaleOutWorkersPerMinute = 123,
                             StandbyWorkerCount = 123,
                             WorkerIdleDurationSeconds = 123
                         },
                         StorageProfileId = "storageProfileId",
                         TagPropagationMode = "tagPropagationMode"
                     },
                     ServiceManagedEc2 = new ServiceManagedEc2FleetConfigurationProperty {
                         InstanceCapabilities = new ServiceManagedEc2InstanceCapabilitiesProperty {
                             CpuArchitectureType = "cpuArchitectureType",
                             MemoryMiB = new MemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             OsFamily = "osFamily",
                             VCpuCount = new VCpuCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },

                             // the properties below are optional
                             AcceleratorCapabilities = new AcceleratorCapabilitiesProperty {
                                 Selections = new [] { new AcceleratorSelectionProperty {
                                     Name = "name",

                                     // the properties below are optional
                                     Runtime = "runtime"
                                 } },

                                 // the properties below are optional
                                 Count = new AcceleratorCountRangeProperty {
                                     Min = 123,

                                     // the properties below are optional
                                     Max = 123
                                 }
                             },
                             AllowedInstanceTypes = new [] { "allowedInstanceTypes" },
                             CustomAmounts = new [] { new FleetAmountCapabilityProperty {
                                 Min = 123,
                                 Name = "name",

                                 // the properties below are optional
                                 Max = 123
                             } },
                             CustomAttributes = new [] { new FleetAttributeCapabilityProperty {
                                 Name = "name",
                                 Values = new [] { "values" }
                             } },
                             ExcludedInstanceTypes = new [] { "excludedInstanceTypes" },
                             RootEbsVolume = new Ec2EbsVolumeProperty {
                                 Iops = 123,
                                 SizeGiB = 123,
                                 ThroughputMiB = 123
                             }
                         },
                         InstanceMarketOptions = new ServiceManagedEc2InstanceMarketOptionsProperty {
                             Type = "type"
                         },

                         // the properties below are optional
                         AutoScalingConfiguration = new ServiceManagedEc2AutoScalingConfigurationProperty {
                             ScaleOutWorkersPerMinute = 123,
                             StandbyWorkerCount = 123,
                             WorkerIdleDurationSeconds = 123
                         },
                         StorageProfileId = "storageProfileId",
                         VpcConfiguration = new VpcConfigurationProperty {
                             ResourceConfigurationArns = new [] { "resourceConfigurationArns" }
                         }
                     }
                 },
                 DisplayName = "displayName",
                 FarmId = "farmId",
                 MaxWorkerCount = 123,
                 RoleArn = "roleArn",

                 // the properties below are optional
                 Description = "description",
                 HostConfiguration = new HostConfigurationProperty {
                     ScriptBody = "scriptBody",

                     // the properties below are optional
                     ScriptTimeoutSeconds = 123
                 },
                 MinWorkerCount = 123,
                 Tags = new [] { new CfnTag {
                     Key = "key",
                     Value = "value"
                 } }
             };

Synopsis

Constructors

CfnFleetProps()

Properties for defining a CfnFleet.

Properties

Configuration

The configuration details for the fleet.

Description

A description that helps identify what the fleet is used for.

DisplayName

The display name of the fleet summary to update.

FarmId

The farm ID.

HostConfiguration

Provides a script that runs as a worker is starting up that you can use to provide additional configuration for workers in your fleet.

MaxWorkerCount

The maximum number of workers specified in the fleet.

MinWorkerCount

The minimum number of workers in the fleet.

RoleArn

The IAM role that workers in the fleet use when processing jobs.

Tags

The tags to add to your fleet.

Constructors

CfnFleetProps()

Properties for defining a CfnFleet.

public CfnFleetProps()
Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Deadline;

             var cfnFleetProps = new CfnFleetProps {
                 Configuration = new FleetConfigurationProperty {
                     CustomerManaged = new CustomerManagedFleetConfigurationProperty {
                         Mode = "mode",
                         WorkerCapabilities = new CustomerManagedWorkerCapabilitiesProperty {
                             CpuArchitectureType = "cpuArchitectureType",
                             MemoryMiB = new MemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             OsFamily = "osFamily",
                             VCpuCount = new VCpuCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },

                             // the properties below are optional
                             AcceleratorCount = new AcceleratorCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             AcceleratorTotalMemoryMiB = new AcceleratorTotalMemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             AcceleratorTypes = new [] { "acceleratorTypes" },
                             CustomAmounts = new [] { new FleetAmountCapabilityProperty {
                                 Min = 123,
                                 Name = "name",

                                 // the properties below are optional
                                 Max = 123
                             } },
                             CustomAttributes = new [] { new FleetAttributeCapabilityProperty {
                                 Name = "name",
                                 Values = new [] { "values" }
                             } }
                         },

                         // the properties below are optional
                         AutoScalingConfiguration = new CustomerManagedAutoScalingConfigurationProperty {
                             ScaleOutWorkersPerMinute = 123,
                             StandbyWorkerCount = 123,
                             WorkerIdleDurationSeconds = 123
                         },
                         StorageProfileId = "storageProfileId",
                         TagPropagationMode = "tagPropagationMode"
                     },
                     ServiceManagedEc2 = new ServiceManagedEc2FleetConfigurationProperty {
                         InstanceCapabilities = new ServiceManagedEc2InstanceCapabilitiesProperty {
                             CpuArchitectureType = "cpuArchitectureType",
                             MemoryMiB = new MemoryMiBRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },
                             OsFamily = "osFamily",
                             VCpuCount = new VCpuCountRangeProperty {
                                 Min = 123,

                                 // the properties below are optional
                                 Max = 123
                             },

                             // the properties below are optional
                             AcceleratorCapabilities = new AcceleratorCapabilitiesProperty {
                                 Selections = new [] { new AcceleratorSelectionProperty {
                                     Name = "name",

                                     // the properties below are optional
                                     Runtime = "runtime"
                                 } },

                                 // the properties below are optional
                                 Count = new AcceleratorCountRangeProperty {
                                     Min = 123,

                                     // the properties below are optional
                                     Max = 123
                                 }
                             },
                             AllowedInstanceTypes = new [] { "allowedInstanceTypes" },
                             CustomAmounts = new [] { new FleetAmountCapabilityProperty {
                                 Min = 123,
                                 Name = "name",

                                 // the properties below are optional
                                 Max = 123
                             } },
                             CustomAttributes = new [] { new FleetAttributeCapabilityProperty {
                                 Name = "name",
                                 Values = new [] { "values" }
                             } },
                             ExcludedInstanceTypes = new [] { "excludedInstanceTypes" },
                             RootEbsVolume = new Ec2EbsVolumeProperty {
                                 Iops = 123,
                                 SizeGiB = 123,
                                 ThroughputMiB = 123
                             }
                         },
                         InstanceMarketOptions = new ServiceManagedEc2InstanceMarketOptionsProperty {
                             Type = "type"
                         },

                         // the properties below are optional
                         AutoScalingConfiguration = new ServiceManagedEc2AutoScalingConfigurationProperty {
                             ScaleOutWorkersPerMinute = 123,
                             StandbyWorkerCount = 123,
                             WorkerIdleDurationSeconds = 123
                         },
                         StorageProfileId = "storageProfileId",
                         VpcConfiguration = new VpcConfigurationProperty {
                             ResourceConfigurationArns = new [] { "resourceConfigurationArns" }
                         }
                     }
                 },
                 DisplayName = "displayName",
                 FarmId = "farmId",
                 MaxWorkerCount = 123,
                 RoleArn = "roleArn",

                 // the properties below are optional
                 Description = "description",
                 HostConfiguration = new HostConfigurationProperty {
                     ScriptBody = "scriptBody",

                     // the properties below are optional
                     ScriptTimeoutSeconds = 123
                 },
                 MinWorkerCount = 123,
                 Tags = new [] { new CfnTag {
                     Key = "key",
                     Value = "value"
                 } }
             };

Properties

Configuration

The configuration details for the fleet.

public object Configuration { get; set; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-configuration

Type union: either IResolvable or CfnFleet.IFleetConfigurationProperty

Description

A description that helps identify what the fleet is used for.

public string? Description { get; set; }
Property Value

string

Remarks
This field can store any content. Escape or encode this content before displaying it on a webpage or any other system that might interpret the content of this field.

Default: - ""

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-description

DisplayName

The display name of the fleet summary to update.

public string DisplayName { get; set; }
Property Value

string

Remarks
This field can store any content. Escape or encode this content before displaying it on a webpage or any other system that might interpret the content of this field.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-displayname

FarmId

The farm ID.

public string FarmId { get; set; }
Property Value

string

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-farmid

HostConfiguration

Provides a script that runs as a worker is starting up that you can use to provide additional configuration for workers in your fleet.

public object? HostConfiguration { get; set; }
Property Value

object

Remarks

To remove a script from a fleet, use the UpdateFleet operation with the hostConfiguration scriptBody parameter set to an empty string ("").

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-hostconfiguration

Type union: either IResolvable or CfnFleet.IHostConfigurationProperty

MaxWorkerCount

The maximum number of workers specified in the fleet.

public double MaxWorkerCount { get; set; }
Property Value

double

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-maxworkercount

MinWorkerCount

The minimum number of workers in the fleet.

public double? MinWorkerCount { get; set; }
Property Value

double?

Remarks

Default: - 0

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-minworkercount

RoleArn

The IAM role that workers in the fleet use when processing jobs.

public string RoleArn { get; set; }
Property Value

string

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-rolearn

Tags

The tags to add to your fleet.

public ICfnTag[]? Tags { get; set; }
Property Value

ICfnTag[]

Remarks

Each tag consists of a tag key and a tag value. Tag keys and values are both required, but tag values can be empty strings.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-deadline-fleet.html#cfn-deadline-fleet-tags

Implements

ICfnFleetProps
Back to top Generated by DocFX